Package io.dapr.actors.runtime

# Class ActorMethodContext

java.lang.Object
io.dapr.actors.runtime.ActorMethodContext

public class ActorMethodContext extends Object
Contains information about the method that is invoked by actor runtime.

## Method Summary

Modifier and Type
Method
Description
`io.dapr.actors.runtime.ActorCallType`
`getCallType()`
Gets the call type to be used.
`String`
`getMethodName()`
Gets the name of the method invoked by actor runtime.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMethodName

public String getMethodName()
Gets the name of the method invoked by actor runtime.

Returns:
  The method name.

### getCallType

public io.dapr.actors.runtime.ActorCallType getCallType()
Gets the call type to be used.

Returns:
  Call type.